Page MenuHomeFreeBSD

Mk/Uses/cargo.mk: unbundle archivers/zstd
ClosedPublic

Authored by jbeich on Mar 26 2023, 6:38 PM.
Tags
Referenced Files
Unknown Object (File)
Wed, May 1, 5:14 AM
Unknown Object (File)
Fri, Apr 26, 7:17 PM
Unknown Object (File)
Thu, Apr 25, 10:18 PM
Unknown Object (File)
Apr 19 2024, 3:41 PM
Unknown Object (File)
Apr 19 2024, 3:40 PM
Unknown Object (File)
Apr 19 2024, 3:40 PM
Unknown Object (File)
Apr 19 2024, 3:40 PM
Unknown Object (File)
Apr 19 2024, 3:40 PM
Subscribers

Details

Summary

Globally unbundle zstd, similar to gettext, libgit2, libssh2, onigurama, OpenSSL.

Test Plan

28/28 consumers built fine in poudriere.

Diff Detail

Repository
R11 FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

jbeich created this revision.
jbeich edited subscribers, added: cs; removed: cy.

Switch to BUILD_DEPENDS and drop PORTREVISION bump where libzstd.so is unused. Affects:

  • sysutils/fselect
  • textproc/meilisearch
  • www/miniserve (onigurama is also unused but fixing it is outside of scope)
  • www/wasm-pack

Thanks for the diff and the heads-up regarding games/anki. I tried the latest version of this diff in conjunction with BUILD_DEPENDS+=zstd>0:archivers/zstd for games/anki and I had no issues with building it on 13.1-RELEASE amd64. Maybe it was an intermittent error?

@kai, try building games/anki without BUILD_DEPENDS+=zstd>0:archivers/zstd (like the patch here intends). Not every zstd-sys consumer needs archivers/zstd.

@kai, try building games/anki without BUILD_DEPENDS+=zstd>0:archivers/zstd (like the patch here intends). Not every zstd-sys consumer needs archivers/zstd.

Ah, ok, I assumed that games/anki was omitted from this diff because it had generated the errors listed in "Test Plan".

However, even if BUILD_DEPENDS+=zstd>0:archivers/zstd is omitted, games/anki can be built without any problems (on 13.1-RELEASE amd64).

As far as I know, the Bazel build system is sometimes flaky and upstream has switched to another build system (homebrew rust build system in conjunction with Ninja) since release 2.1.55. (However, this is still pretty much a work in progress and will take some time to update games/anki to a newer release.)

jbeich edited the test plan for this revision. (Show Details)

Rebase after be55fa5e4e89. Note, net/rustdesk-server built fine "as is".

This revision was not accepted when it landed; it landed in state Needs Review.Apr 4 2023, 8:23 AM
This revision was automatically updated to reflect the committed changes.